be.fgov.ehealth.standards.kmehr.cd.v1

## Enum CDSTENTDEVICEvalues

- java.lang.Object
- - java.lang.Enum<CDSTENTDEVICEvalues>
  - - be.fgov.ehealth.standards.kmehr.cd.v1.CDSTENTDEVICEvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDSTENTDEVICEvalues>

      public enum CDSTENTDEVICEvalues
      extends Enum<CDSTENTDEVICEvalues>

  Java class for CD-STENT-DEVICEvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-STENT-DEVICEvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="bms"/>
           <enumeration value="des"/>
           <enumeration value="bvs"/>
           <enumeration value="other"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BMS`
    `BVS`
    `DES`
    `OTHER`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDSTENTDEVICEvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDSTENTDEVICEvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDSTENTDEVICEvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BMS

          public static final CDSTENTDEVICEvalues BMS

    - #### DES

          public static final CDSTENTDEVICEvalues DES

    - #### BVS

          public static final CDSTENTDEVICEvalues BVS

    - #### OTHER

          public static final CDSTENTDEVICEvalues OTHER

  - ### Method Detail

    - #### values

          public static CDSTENTDEVICEvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDSTENTDEVICEvalues c : CDSTENTDEVICEvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDSTENTDEVICEvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDSTENTDEVICEvalues fromValue(String v)

Connector Packaging PERSNURSE 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.